GET

List Contact Tags

Lists every contact tag defined in a sub-account.

GEThttps://api.vantaxai.com/v1/contact-tags

Headers

  • Authorizationstringrequired

    Bearer authentication with your secret API key.

    example: Bearer vx_live_3fa9c2…

Query Parameters

  • sub_account_idstringrequired

    The sub-account to list tags for.

    example: sub_8a1f4c2e

Request

curl -X GET https://api.vantaxai.com/v1/contact-tags?sub_account_id=sub_8a1f4c2e \
  -H "Authorization: Bearer vx_live_3fa9c2..."

Response

{
  "success": true,
  "data": [
    {
      "id": "tag_4f17a2",
      "name": "vip",
      "color": "#7C3AED",
      "created_at": "2026-01-10T09:00:00Z"
    },
    {
      "id": "tag_88c0e1",
      "name": "newsletter",
      "color": "#0EA5E9",
      "created_at": "2026-01-11T11:20:00Z"
    }
  ]
}